Update node-sass version in course-discovery

Description

There is an internal requirement to update node to v12 across all repos by Nov 15 and this update is failing for course-discovery due to our version of node-sass (AFAWK this is the only dependency breakage). A quick attempt to make that change failed and according to Diana, "it seems like new versions of node-sass need more write permissions on the node_modules directory than previously needed. there might need to be some fiddling with the docker configuration to ensure that it works". There is some info on the write permissions here.

configuration PR to upgrade discovery's version of node: https://github.com/edx/configuration/pull/5471/files

ACs:

  • upgrade the disco node-sass version

  • get confirmation from Platform/Diana that the node v12 PR succeeds

Steps to Reproduce

None

Status

Story Points

None

Assignee

Jeff LaJoie

Reporter

Jason Myatt

Labels

Reach

None

Impact

None

Customer

None

Partner Manager

None

URL

None

Contributor Name

None

Groups with Read-Only Access

None

Actual Points

None

Category of Work

None

Stakeholders

None

Priority

Unset
Configure